<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PrivacySettingChannelsPersonalisedRecommendationAction extends \Google\Protobuf\Internal\Message
{
    


    protected $isUserOptedOut = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsUserOptedOut()
    {
        return isset($this->isUserOptedOut) ? $this->isUserOptedOut : false;
    }

    public function hasIsUserOptedOut()
    {
        return isset($this->isUserOptedOut);
    }

    public function clearIsUserOptedOut()
    {
        unset($this->isUserOptedOut);
    }

    




    public function setIsUserOptedOut($var)
    {
        GPBUtil::checkBool($var);
        $this->isUserOptedOut = $var;

        return $this;
    }

}

